# QKD key delivery API

This repository contains the draft OpenAPI description that is currently under development along with an update to [ETSI GS QKD 014 V1.1.1 (2019-02)](hhttps://www.etsi.org/deliver/etsi_gs/QKD/001_099/014/01.01.01_60/gs_QKD014v010101p.pdf) "Quantum Key Distribution (QKD); Protocol and data format of REST-based key delivery API", developed by 
[ETSI ISG QKD](https://www.etsi.org/committee/qkd). It specifies an application programming interface for the delivery of QKD keys from Key Management Entities to cryptographic applications using a REST-based API

**An update to this Group Specification is under development in work item [RGS/QKD-014ed2_KeyDeliv](https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=69542), which will add an OpenAPI description.**
V1.1.1 did not include an OpenAPI description.

**IMPORTANT: These [OpenAPI](https://www.openapis.org/) specifications are under development in branch [edition2](https://forge.etsi.org/rep/qkd/gs014-key-deliv/-/tree/edition2) of this repository and are subject to change**

## Related ISG QKD Repositories

- [Draft OpenAPI](https://forge.etsi.org/rep/qkd/gs020-interop-kms) for
  draft ETSI GS QKD 020 "Quantum Key Distribution (QKD); Protocol and data format of REST-based Interoperable Key Management System API"

## Contact

For enquiries, contact `isgsupport` at `etsi` dot `org`.

## License

See LICENSE file and https://forge.etsi.org/legal-matters
